Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface GridCoordinatesFactory

    @Extension
    public interface GridCoordinatesFactory

This is the primary method of constructing GridCoordinates. Each GridCoordinatesFactory is associated with a single backing data type (e.g., byte, short, or integer), and is capable of manufacturing GridCoordinates of a specified dimensionality. Specialized methods are provided to create GridCoordinates objects which are initialized to the supplied two, three or four-dimensional values.

Method Summary
`GridCoordinates` | `createCoordinates(int dimensions)` Allows the user to specify the dimensionality of the desired GridCoordinates object, but does not specify the initial values.
`GridCoordinates` | `createCoordinates(int x0, int x1)`
`GridCoordinates` | `createCoordinates(int x0, int x1, int x2)`
`GridCoordinates` | `createCoordinates(int x0, int x1, int x2, int x3)`

Method Detail

### createCoordinates

    @Extension
    GridCoordinates createCoordinates(int dimensions)

  Allows the user to specify the dimensionality of the desired GridCoordinates object, but does not specify the initial values. This will create an uninitialized object of the desired dimensionality if this factory is capable of it.

### createCoordinates

    @Extension
    GridCoordinates createCoordinates(int x0,
                                                int x1)

### createCoordinates

    @Extension
    GridCoordinates createCoordinates(int x0,
                                                int x1,
                                                int x2)

### createCoordinates

    @Extension
    GridCoordinates createCoordinates(int x0,
                                                int x1,
                                                int x2,
                                                int x3)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.